"use strict";
const sheep_request_index = require("../../request/index.js");
const BargainApi = {
  // 获得砍价记录的概要信息
  getBargainRecordSummary: () => {
    return sheep_request_index.request({
      url: "/promotion/bargain-record/get-summary",
      method: "GET"
    });
  },
  // 获得砍价活动分页
  getBargainActivityPage: () => {
    return sheep_request_index.request({
      url: "/promotion/bargain-activity/page",
      method: "GET"
    });
  },
  // 获得砍价活动详情
  getBargainActivityDetail(params) {
    return sheep_request_index.request({
      url: "/promotion/bargain-activity/get-detail",
      method: "GET",
      params
    });
  }
};
const __vite_glob_0_24 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: BargainApi
}, Symbol.toStringTag, { value: "Module" }));
exports.BargainApi = BargainApi;
exports.__vite_glob_0_24 = __vite_glob_0_24;
